%define src_ver 0.1.2
%define languagelocal brezhoneg
%define languageeng breton
%define languagecode br

Summary: 	Breton files for ispell
Summary(br): Geriadur brezhonek evit ispell
Summary(fr): Dictionnaire breton pour ispell
Name: 		ispell-%{languagecode} 
Version: 	0.1.2
Release: 	5mdk
URL: 		none
Source:		ispell-br-%{version}.tar.bz2
Copyright: 	GPL
Group: 		System/Internationalization
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Prefix: 	%{_prefix}
BuildArchitectures: noarch
Autoreqprov: no

Requires: locales-%{languagecode}
Requires: ispell
Provides: ispell-dictionary

%description
Breton Dictionaries for ispell.
To check spelling in brezhoneg text (Latin1 aka ISO-8859 -
though the C'H and CH letters are not present in Latin1 :-) )
use command:
ispell -d brezhoneg <file_name>

%description -l br
Geriadur brezhonek evit ispell.

%description -l fr
Dictionnaire breton pour ispell

%prep
%setup
mv -f brezhoneg.sml %{languagelocal}.hash

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/ispell

install -m 644 %{languagelocal}.aff $RPM_BUILD_ROOT%{_libdir}/ispell/%{languagelocal}.aff
install -m 644 %{languagelocal}.hash $RPM_BUILD_ROOT%{_libdir}/ispell/%{languagelocal}.hash

# LaTeX babel
if [ "%{languagelocal}" != "%{languageeng}" ];then
 cd $RPM_BUILD_ROOT%{_libdir}/ispell
 ln -s %{languagelocal}.aff %{languageeng}.aff
 ln -s %{languagelocal}.hash %{languageeng}.hash
fi

%clean
rm -rf $RPM_BUILD_ROOT

%post
cd %{_libdir}/ispell
mv -f %{languagelocal}.hash %{languagelocal}.ispell
buildhash %{languagelocal}.ispell %{languagelocal}.aff %{languagelocal}.hash &> /dev/null
rm -f %{languagelocal}.ispell.stat %{languagelocal}.ispell.cnt %{languagelocal}.ispell

%files
%defattr(644, root, root,755)
%doc docs/Readme.brezhoneg docs/copyright docs/readme.makedict docs/INSTALL.brezhoneg
%{_libdir}/ispell/*

%changelog
* Sat Aug 26 2000 Troels Liebe Bentsen <tlb@iname.com> 0.1.2-5mdk
- Small fix to the spec, no output on buildhash.

* Sun Aug 13 2000 Troels Liebe Bentsen <tlb@iname.com> 0.1.2-4mdk
- Cleaned up the spec and moved to standard template.

* Tue Jul 25 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.2-3mdk
- BM

* Thu Mar 30 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.1.2-2mdk
- adapted to new Group: naming

* Thu Nov 25 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- more words (1000<)

* Thu Nov 18 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- build release for lord chmou
- fix description

* Wed Nov 17 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- more words

* Tue Nov 05 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- First version (mainly town names and words that i remember)
